fig55 <- function(post=F)
{
 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig55.ps", width=4.4, height=2.5, horizontal=F,pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 1),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)

  x <- seq(0,6, 0.05)
  plot(x,exp(-x), type="l", xlim=c(-2,6), ylim=c(0,1.2))
  lines(c(0,0),c(0,1))
  abline(0,0)

  #.Random.seed <- c(13, 7,59,17,60, 1,18, 7,12,16,28, 2)
  #fig35.dat <- -log(runif(200))      #generate the exponential distribution
  x <- fig55.dat
  n <- length(x)
  s <- sqrt(var(x))
  bandwidth <- 4*1.06 * s / n^0.2
  print(c("selected bandwidth", round(bandwidth/4,3)))

  kden <- density(x,200,width = bandwidth, from=-2, to = 6)
  lines(kden$x, kden$y, lty=2, lwd=2)
  points(x,rep(0,n))
  title("Kernel density estimate for a simulated data")
}
